Subject: Re: [Bitcoin-development] Useful bitcoin patches...

From: "Luke-Jr" <[email-masked]>
Date: Thu, 4 Aug 2011 16:29:01 -0400

Reminder these are still ready for merging...

Jeff, you seem to have rewritten *part of* bugfix_CreateThread_leak and 
neglected to attribute the original author (as my branch did/does).

> For the "3diff" version, I extracted and made proper git branches for each
> logical part:
>   hub_mode
>   threaded_rpc
>   \-- rpc_keepalive (depends on threaded_rpc, or a single connection would
>                      keep the JSON-RPC interface locked up)
>   signal_blk_notify (generic version of -pollpidfile, with a bugfix)
>   bugfix_CreateThread_leak
>   getwork_dedupe (original branch for my bugfix)
> 
> In addition, I also consider these branches valid candidates for merging:
>   coinbaser (popens a given command and reads coinbase outputs from stdout)
>   gitignore (ignore some common misc files)
>   minfee_modes (internal function changes to allow specifying different
> fees for relay, send, or accept-in-block)
>   \-- eligius_relay (relay lower fees only Eligius will accept)
>       \-- eligius_sendfee (send lower fees only Eligius will accept)
>   txinfo (adds entries to getinfo for transactions accepted for relaying,
>           transactions accepted for the current block-in-progress, and
> current block-in-progress size)
>   bitcoinuri (compliant support for all bitcoin: URIs)
> 
> All available from git://gitorious.org/~Luke-Jr/bitcoin/luke-jr-bitcoin.git